{% extends "layouts/base.html" %}

{% block title %} Market Sentiment {% endblock %}

<!-- Specific CSS goes HERE -->
{% block stylesheets %}{% endblock stylesheets %}
{% block extraheader %}
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<link rel="stylesheet" href="/resources/demos/style.css">

{% endblock extraheader %}
{% block content %}

<div class="pcoded-content">
    <div class="pcoded-inner-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">CÔNG CỤ TÌM KIẾM TIN TỨC TÀI CHÍNH THEO MÃ CỔ PHIẾU HOẶC THEO NGÀNH (ONLY
                                VN-INDEX)</h5>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <div class="main-body">
            <div class="page-wrapper">
                <!-- [ Main Content ] start -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-header">
                                <h5>Tìm kiếm tin tức tài chính theo mã & ngành</h5>
                            </div>
                            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active text-uppercase" data-toggle="tab" href="#home" role="tab"
                                       aria-selected="true">Mã cổ phiếu</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link text-uppercase" data-toggle="tab" href="#menu1" role="tab"
                                       aria-selected="false">Mã theo ngành</a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div id="home" class="tab-pane active"><br>
                                    <h5 style="text-align: center; padding: 0 0 10px 0;">Cập nhật tin tức nhanh và chính
                                        xác nhất</h5>
                                    <form action="{% url 'search' %}" method="post">{% csrf_token %}
                                        <div class="row justify-content-center">
                                            <div class="col-sm-6">
                                                <input style="border-radius: 5px; border-color: rgb(60, 60, 60); box-shadow: 0 0 5px;"
                                                       type="text" id="symbol-search" class="form-control mb-4 text-uppercase"
                                                       name="stockname"
                                                       placeholder="Chọn mã tìm kiếm theo cổ phiếu . . .">
                                            </div>
                                            <div class="col-sn-6">
                                                <input type="submit" value="Search" class="btn btn-outline-dark">
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div id="menu1" class="tab-pane fade"><br>
                                    <h5 style="text-align: center; padding: 0 0 10px 0;">Cập nhật tin tức nhanh và chính
                                        xác nhất</h5>
                                    <form action="{% url 'search' %}" method="post">{% csrf_token %}
                                        <div class="row justify-content-center">
                                            <div class="col-sm-6">
                                                <input style="border-radius: 5px; border-color: rgb(60, 60, 60); box-shadow: 0 0 5px;"
                                                       type="text" id="industry-search" class="form-control mb-4"
                                                       name="industryname"
                                                       placeholder="Chọn mã tìm kiếm theo ngành . . .">
                                            </div>
                                            <div class="col-sn-6">
                                                <input type="submit" value="Search" class="btn btn-outline-dark">
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- [ Main Content ] end -->
            </div>
        </div>
    </div>
</div>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script>
$( function() {
    var availableTags = {{stockname|safe}};
    $( "#symbol-search" ).autocomplete
    ({
        source: availableTags
    });
 });

</script>
<script>
$( function() {
    var availableTags = {{industry|safe}};
    $( "#industry-search" ).autocomplete
    ({
        source: availableTags
    });
 });

</script>
{% endblock javascripts %}
